astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Pix2Sky_BonneEqualArea

# Pix2Sky_BonneEqualArea

class `astropy.modeling.projections.``Pix2Sky_BonneEqualArea`

  Bases: `astropy.modeling.projections.Pix2SkyProjection`, `astropy.modeling.projections.PseudoConic`

  Bonne’s equal area pseudoconic projection - pixel to sky.

  Corresponds to the `BON` projection in FITS WCS.

  \phi &= \frac{\pi}{180^\circ} A_\phi R_\theta / \cos \theta \\ \theta &= Y_0 - R_\theta

  where:

  R_\theta &= \mathrm{sign} \theta_1 \sqrt{x^2 + (Y_0 - y)^2} \\ A_\phi &= \arg\left(\frac{Y_0 - y}{R_\theta}, \frac{x}{R_\theta}\right)

  Parameters:

  theta1 : float

  > Bonne conformal latitude, in degrees.

  Attributes Summary

  `param_names` |
  `theta1` |

  Methods Summary

  `evaluate`(x, y, theta1) |

  Attributes Documentation

  `param_names` = ('theta1',)
  `theta1`

  Methods Documentation

  classmethod `evaluate`(x, y, theta1)